// EmulatorDlg.cpp : implementation file
//

#include "stdafx.h"
#include "EmulatorDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEmulatorDlg dialog


CEmulatorDlg::CEmulatorDlg(CWnd* pParent /*=NULL*/)
	: CBitmapDialog(CEmulatorDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CEmulatorDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	m_bDragging = false;
	m_emuproca = m_emuprocb = 0;
	m_nDeckAListJogPos = 0;
	m_nDeckBListJogPos = 0;
}


void CEmulatorDlg::DoDataExchange(CDataExchange* pDX)
{
	CBitmapDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEmulatorDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CEmulatorDlg, CBitmapDialog)
	//{{AFX_MSG_MAP(CEmulatorDlg)
	ON_WM_LBUTTONDOWN()
	ON_WM_LBUTTONUP()
	ON_WM_MOUSEMOVE()
	ON_WM_CLOSE()
	ON_WM_HSCROLL()
	//}}AFX_MSG_MAP
	ON_MESSAGE(WM_TOGGLEBUTTON_LBUTTONDOWN, OnToggleButtonLDown)
	ON_MESSAGE(WM_TOGGLEBUTTON_LBUTTONUP, OnToggleButtonLUp)
	ON_MESSAGE(WM_BITMAPSLIDER_MOVED, OnBitmapSliderMoved)
	ON_MESSAGE(WM_BITMAPSLIDER_MOVING, OnBitmapSliderMoving)
	ON_MESSAGE(WM_ROTARYSLIDER_MOVED, OnRotarySliderMoved)
	ON_MESSAGE(WM_ROTARYSLIDER_MOVING, OnRotarySliderMoving)
END_MESSAGE_MAP()

LRESULT CEmulatorDlg::OnRotarySliderMoved(WPARAM wParam, LPARAM lParam)
{
	return 0;
}

LRESULT CEmulatorDlg::OnRotarySliderMoving(WPARAM wParam, LPARAM lParam)
{
	CString cszAction;
	cszAction.Format("%s", wParam);


	if(cszAction == m_DeckAJogWheel.m_cszAction)
	{
		BYTE dataarray[8]={0};

		
			if(m_DeckAJogWheel.GetPos() < m_nDeckAListJogPos)
			{
				m_emuproca("9061207F", dataarray); //left
			}
			else if(m_DeckAJogWheel.GetPos() > m_nDeckAListJogPos)
			{
				m_emuproca("9061307F", dataarray); //right
			}

		m_nDeckAListJogPos = m_DeckAJogWheel.GetPos();
	}
	else if(cszAction == m_DeckBJogWheel.m_cszAction)
	{
		BYTE dataarray[8]={0};

		
			if(m_DeckBJogWheel.GetPos() < m_nDeckBListJogPos)
			{
				m_emuprocb("9060207F", dataarray); //left
			}
			else if(m_DeckBJogWheel.GetPos() > m_nDeckBListJogPos)
			{
				m_emuprocb("9060307F", dataarray); //right
			}
			
		m_nDeckBListJogPos = m_DeckBJogWheel.GetPos();
	}

	return 0;
}

LRESULT CEmulatorDlg::OnBitmapSliderMoved(WPARAM wParam, LPARAM lParam)
{
	if(m_DeckAPitch.GetDlgCtrlID() == wParam)
	{
		BYTE dataarray[8] = {0};
		if(m_DeckAPitch.GetPos() > 0)
		{
			dataarray[2] = m_DeckAPitch.GetPos();
			m_emuproca("E004007F", dataarray);
		}
		else
		{
			dataarray[2] = m_DeckAPitch.GetPos()*-1;
			m_emuproca("E003007F", dataarray);
		}
		
	}

	if(m_DeckBPitch.GetDlgCtrlID() == wParam)
	{
		BYTE dataarray[8] = {0};
		if(m_DeckBPitch.GetPos() > 0)
		{
			dataarray[2] = m_DeckBPitch.GetPos();
			m_emuprocb("E002007F", dataarray);
		}
		else
		{
			dataarray[2] = m_DeckBPitch.GetPos()*-1;
			m_emuprocb("E001007F", dataarray);
		}
		
	}

	return 0;
}

LRESULT CEmulatorDlg::OnBitmapSliderMoving(WPARAM wParam, LPARAM lParam)
{
	if(m_DeckAPitch.GetDlgCtrlID() == wParam)
	{
		BYTE dataarray[8] = {0};
		if(m_DeckAPitch.GetPos() > 0)
		{
			dataarray[2] = m_DeckAPitch.GetPos();
			m_emuproca("E004007F", dataarray);
		}
		else
		{
			dataarray[2] = m_DeckAPitch.GetPos()*-1;
			m_emuproca("E003007F", dataarray);
		}
	}

	if(m_DeckBPitch.GetDlgCtrlID() == wParam)
	{
		BYTE dataarray[8] = {0};
		if(m_DeckBPitch.GetPos() > 0)
		{
			dataarray[2] = m_DeckBPitch.GetPos();
			m_emuprocb("E002007F", dataarray);
		}
		else
		{
			dataarray[2] = m_DeckBPitch.GetPos()*-1;
			m_emuprocb("E001007F", dataarray);
		}
		
	}


	return 0;
}

LRESULT CEmulatorDlg::OnToggleButtonLUp(WPARAM wParam, LPARAM lParam)
{

	CString cszAction;
	cszAction.Format("%s", wParam);

	BYTE dataarray[8] = {0};
	if(cszAction == "deckaload")
	{
		m_emuproca("905B007F", dataarray);
	}
	else if(cszAction == "deckacue")
	{
		m_emuproca("9051007F", dataarray);
	}
	else if(cszAction == "deckaplay")
	{
		m_emuproca("9050007F", dataarray);
	}
	else if(cszAction == "deckawaitlist")
	{
		m_emuproca("9055007F", dataarray);
	}
	else if(cszAction == "deckashift")
	{
		m_emuproca("905A007F", dataarray);
	}
	else if(cszAction == "deckafx")
	{
		m_emuproca("905C007F", dataarray);
	}
	else if(cszAction == "deckacueseekleft")
	{
		m_emuproca("9056007F", dataarray);
	}
	else if(cszAction == "deckacueseekright")
	{
		m_emuproca("9058007F", dataarray);
	}
	else if(cszAction == "deckagroup")
	{
		m_emuproca("9057007F", dataarray);
	}
	else if(cszAction == "deckaloop")
	{
		m_emuproca("9059007F", dataarray);
	}
	else if(cszAction == "deckamatch")
	{
		m_emuproca("9052007F", dataarray);
	}
	else if(cszAction == "deckapitchbendminus")
	{
		m_emuproca("9054007F", dataarray);
	}
	else if(cszAction == "deckapitchbendplus")
	{
		m_emuproca("9053007F", dataarray);
	}
	else if(cszAction == "deckbload")
	{
		m_emuprocb("904B007F", dataarray);
	}
	else if(cszAction == "deckbcue")
	{
		m_emuprocb("9041007F", dataarray);
	}
	else if(cszAction == "deckbplay")
	{
		m_emuprocb("9040007F", dataarray);
	}
	else if(cszAction == "deckbwaitlist")
	{
		m_emuprocb("9045007F", dataarray);
	}
	else if(cszAction == "deckbshift")
	{
		m_emuprocb("904A007F", dataarray);
	}
	else if(cszAction == "deckbfx")
	{
		m_emuprocb("904C007F", dataarray);
	}
	else if(cszAction == "deckbcueseekleft")
	{
		m_emuprocb("9046007F", dataarray);
	}
	else if(cszAction == "deckbcueseekright")
	{
		m_emuprocb("9048007F", dataarray);
	}
	else if(cszAction == "deckbgroup")
	{
		m_emuprocb("9047007F", dataarray);
	}
	else if(cszAction == "deckbloop")
	{
		m_emuprocb("9049007F", dataarray);
	}
	else if(cszAction == "deckbmatch")
	{
		m_emuprocb("9042007F", dataarray);
	}
	else if(cszAction == "deckbpitchbendminus")
	{
		m_emuprocb("9044007F", dataarray);
	}
	else if(cszAction == "deckbpitchbendplus")
	{
		m_emuprocb("9043007F", dataarray);
	}

	//
	//m_emuproca("905B007F", NULL);

	//DAC2ListenerDeckA(cszCode, BYTE dataarray[]
	//DAC2ListenerDeckB(cszCode, BYTE dataarray[]

	return 0;
}

LRESULT CEmulatorDlg::OnToggleButtonLDown(WPARAM wParam, LPARAM lParam)
{
	CString cszAction;
	cszAction.Format("%s", wParam);
	

	//DECK A DOWN CALLS
	BYTE dataarray[8] = {0};

	if(cszAction == "close")
	{
		EndDialog(0);
	}
	else if(cszAction == "deckaload")
	{
		m_emuproca("905B407F", dataarray);
	}
	else if(cszAction == "deckacue")
	{
		m_emuproca("9051407F", dataarray);
	}
	else if(cszAction == "deckaplay")
	{
		m_emuproca("9050407F", dataarray);
	}
	else if(cszAction == "deckawaitlist")
	{
		m_emuproca("9055407F", dataarray);
	}
	else if(cszAction == "deckashift")
	{
		m_emuproca("905A407F", dataarray);
	}
	else if(cszAction == "deckafx")
	{
		m_emuproca("905C407F", dataarray);
	}
	else if(cszAction == "deckacueseekleft")
	{
		m_emuproca("9056407F", dataarray);
	}
	else if(cszAction == "deckacueseekright")
	{
		m_emuproca("9058407F", dataarray);
	}
	else if(cszAction == "deckagroup")
	{
		m_emuproca("9057407F", dataarray);
	}
	else if(cszAction == "deckaloop")
	{
		m_emuproca("9059407F", dataarray);
	}
	else if(cszAction == "deckamatch")
	{
		m_emuproca("9052407F", dataarray);
	}
	else if(cszAction == "deckapitchbendminus")
	{
		m_emuproca("9054407F", dataarray);
	}
	else if(cszAction == "deckapitchbendplus")
	{
		m_emuproca("9053407F", dataarray);
	}
	else if(cszAction == "deckbload")
	{
		m_emuprocb("904B407F", dataarray);
	}
	else if(cszAction == "deckbcue")
	{
		m_emuprocb("9041407F", dataarray);
	}
	else if(cszAction == "deckbplay")
	{
		m_emuprocb("9040407F", dataarray);
	}
	else if(cszAction == "deckbwaitlist")
	{
		m_emuprocb("9045407F", dataarray);
	}
	else if(cszAction == "deckbshift")
	{
		m_emuprocb("904A407F", dataarray);
	}
	else if(cszAction == "deckbfx")
	{
		m_emuprocb("904C407F", dataarray);
	}
	else if(cszAction == "deckbcueseekleft")
	{
		m_emuprocb("9046407F", dataarray);
	}
	else if(cszAction == "deckbcueseekright")
	{
		m_emuprocb("9048407F", dataarray);
	}
	else if(cszAction == "deckbgroup")
	{
		m_emuprocb("9047407F", dataarray);
	}
	else if(cszAction == "deckbloop")
	{
		m_emuprocb("9049407F", dataarray);
	}
	else if(cszAction == "deckbmatch")
	{
		m_emuprocb("9042407F", dataarray);
	}
	else if(cszAction == "deckbpitchbendminus")
	{
		m_emuprocb("9044407F", dataarray);
	}
	else if(cszAction == "deckbpitchbendplus")
	{
		m_emuprocb("9043407F", dataarray);
	}

	//
	//m_emuproca("905B407F", dataarray);
	
	//DAC2ListenerDeckA(cszCode, BYTE dataarray[]
	//DAC2ListenerDeckB(cszCode, BYTE dataarray[]

	return 0;
}

/////////////////////////////////////////////////////////////////////////////
// CEmulatorDlg message handlers

BOOL CEmulatorDlg::OnInitDialog() 
{
	CBitmapDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	SetWindowPos(&wndTopMost, 0,0, 1024, 212, NULL);
	LoadBitmap(IDB_DAC2_BACKGROUND);

	CRect rect(21,63,145,187);
	m_DeckAJogWheel.Create(WS_VISIBLE|TBS_HORZ, rect, this, 2000);
	m_DeckAJogWheel.SetAction("deckajogwheel");

	
	bitmapJogScale.LoadBitmap(IDB_JOG_SCALE);
	bitmapJogKnob.LoadBitmap(IDB_JOG_KNOB);
	bitmapJogThumb.LoadBitmap(IDB_JOG_THUMB);

	m_DeckAJogWheel.SetBitmap(bitmapJogScale, CVMRotaryFaderCtrl::Scale);
	m_DeckAJogWheel.SetBitmap(bitmapJogKnob, CVMRotaryFaderCtrl::Knob);
	m_DeckAJogWheel.SetBitmap(bitmapJogThumb, CVMRotaryFaderCtrl::Dot);

	m_DeckAJogWheel.SetRange(0,360);
	m_DeckAJogWheel.SetPos(0);

	CRect rectb(531,63,655,187);
	m_DeckBJogWheel.Create(WS_VISIBLE|TBS_HORZ, rectb, this, 2001);
	m_DeckBJogWheel.SetAction("deckbjogwheel");


	m_DeckBJogWheel.SetBitmap(bitmapJogScale, CVMRotaryFaderCtrl::Scale);
	m_DeckBJogWheel.SetBitmap(bitmapJogKnob, CVMRotaryFaderCtrl::Knob);
	m_DeckBJogWheel.SetBitmap(bitmapJogThumb, CVMRotaryFaderCtrl::Dot);

	m_DeckBJogWheel.SetRange(0,360);
	m_DeckBJogWheel.SetPos(0);


	CRect rectPitch(420,23,467,178);

	m_DeckAPitch.Create(NULL, WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectPitch, this, 2002 );
	m_DeckAPitch.SetVertical(TRUE);
	m_DeckAPitch.SetAction("deckapitch");
	m_DeckAPitch.SetBitmapChannel( IDB_PITCH_CHANNEL, IDB_PITCH_CHANNEL, IDB_PITCH_CHANNEL, 	IDB_PITCH_CHANNEL, FALSE );
	m_DeckAPitch.SetBitmapThumb( IDB_PITCH_THUMB, IDB_PITCH_THUMB, TRUE );
	m_DeckAPitch.DrawFocusRect( FALSE );
	m_DeckAPitch.SetRange( -63, 63 );
	m_DeckAPitch.SetPos( 0 );
	m_DeckAPitch.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
	
	CRect rectPitchB(930,23,977,178);

	m_DeckBPitch.Create(NULL, WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectPitchB, this, 2003 );
	m_DeckBPitch.SetVertical(TRUE);
	m_DeckBPitch.SetAction("deckbpitch");
	m_DeckBPitch.SetBitmapChannel( IDB_PITCH_CHANNEL, IDB_PITCH_CHANNEL, IDB_PITCH_CHANNEL, 	IDB_PITCH_CHANNEL, FALSE );
	m_DeckBPitch.SetBitmapThumb( IDB_PITCH_THUMB, IDB_PITCH_THUMB, TRUE );
	m_DeckBPitch.DrawFocusRect( FALSE );
	m_DeckBPitch.SetRange( -63, 63 );
	m_DeckBPitch.SetPos( 0 );
	m_DeckBPitch.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectCloseButton(996,8,1017,29);

	m_btnClose.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectCloseButton, this);
	m_btnClose.SetDefaultBitmap("", IDB_CLOSE);
	m_btnClose.SetOverBitmap("", IDB_CLOSE);
	m_btnClose.SetDownBitmap("", IDB_CLOSE);
	m_btnClose.SetToggleBitmap("", IDB_CLOSE);
	m_btnClose.SetClickAction("close");
	m_btnClose.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectLoadButton(68,16,100,48);

	m_btnDeckALoad.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectLoadButton, this);
	m_btnDeckALoad.SetDefaultBitmap("", IDB_LOAD_UP);
	m_btnDeckALoad.SetOverBitmap("", IDB_LOAD_UP);
	m_btnDeckALoad.SetDownBitmap("", IDB_LOAD_DOWN);
	m_btnDeckALoad.SetToggleBitmap("", IDB_LOAD_DOWN);
	m_btnDeckALoad.SetClickAction("deckaload");
	m_btnDeckALoad.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectLoadButton2(578,16,611,48);

	m_btnDeckBLoad.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectLoadButton2, this);
	m_btnDeckBLoad.SetDefaultBitmap("", IDB_LOAD_UP);
	m_btnDeckBLoad.SetOverBitmap("", IDB_LOAD_UP);
	m_btnDeckBLoad.SetDownBitmap("", IDB_LOAD_DOWN);
	m_btnDeckBLoad.SetToggleBitmap("", IDB_LOAD_DOWN);
	m_btnDeckBLoad.SetClickAction("deckbload");
	m_btnDeckBLoad.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectWaitList(177,69,204,95);

	m_btnDeckAWaitList.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectWaitList, this);
	m_btnDeckAWaitList.SetDefaultBitmap("", IDB_WAITLIST_UP);
	m_btnDeckAWaitList.SetOverBitmap("", IDB_WAITLIST_UP);
	m_btnDeckAWaitList.SetDownBitmap("", IDB_WAITLIST_DOWN);
	m_btnDeckAWaitList.SetToggleBitmap("", IDB_WAITLIST_DOWN);
	m_btnDeckAWaitList.SetClickAction("deckawaitlist");
	m_btnDeckAWaitList.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectWaitList2(687,69,713,95);

	m_btnDeckBWaitList.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectWaitList2, this);
	m_btnDeckBWaitList.SetDefaultBitmap("", IDB_WAITLIST_UP);
	m_btnDeckBWaitList.SetOverBitmap("", IDB_WAITLIST_UP);
	m_btnDeckBWaitList.SetDownBitmap("", IDB_WAITLIST_DOWN);
	m_btnDeckBWaitList.SetToggleBitmap("", IDB_WAITLIST_DOWN);
	m_btnDeckBWaitList.SetClickAction("deckbwaitlist");
	m_btnDeckBWaitList.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectShift(220,69,247,95);

	m_btnDeckAShift.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectShift, this);
	m_btnDeckAShift.SetDefaultBitmap("", IDB_SHIFT_UP);
	m_btnDeckAShift.SetOverBitmap("", IDB_SHIFT_UP);
	m_btnDeckAShift.SetDownBitmap("", IDB_SHIFT_DOWN);
	m_btnDeckAShift.SetToggleBitmap("", IDB_SHIFT_DOWN);
	m_btnDeckAShift.SetClickAction("deckashift");
	m_btnDeckAShift.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectShift2(730,69,757,95);

	m_btnDeckBShift.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectShift2, this);
	m_btnDeckBShift.SetDefaultBitmap("", IDB_SHIFT_UP);
	m_btnDeckBShift.SetOverBitmap("", IDB_SHIFT_UP);
	m_btnDeckBShift.SetDownBitmap("", IDB_SHIFT_DOWN);
	m_btnDeckBShift.SetToggleBitmap("", IDB_SHIFT_DOWN);
	m_btnDeckBShift.SetClickAction("deckbshift");
	m_btnDeckBShift.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectFX(263,69,290,95);

	m_btnDeckAFX.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectFX, this);
	m_btnDeckAFX.SetDefaultBitmap("", IDB_FX_UP);
	m_btnDeckAFX.SetOverBitmap("", IDB_FX_UP);
	m_btnDeckAFX.SetDownBitmap("", IDB_FX_DOWN);
	m_btnDeckAFX.SetToggleBitmap("", IDB_FX_DOWN);
	m_btnDeckAFX.SetClickAction("deckafx");
	m_btnDeckAFX.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectFX2(773,69,800,95);

	m_btnDeckBFX.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectFX2, this);
	m_btnDeckBFX.SetDefaultBitmap("", IDB_FX_UP);
	m_btnDeckBFX.SetOverBitmap("", IDB_FX_UP);
	m_btnDeckBFX.SetDownBitmap("", IDB_FX_DOWN);
	m_btnDeckBFX.SetToggleBitmap("", IDB_FX_DOWN);
	m_btnDeckBFX.SetClickAction("deckbfx");
	m_btnDeckBFX.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectCueSeekLeft(170,102,205,125);

	m_btnDeckACueSeekLeft.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectCueSeekLeft, this);
	m_btnDeckACueSeekLeft.SetDefaultBitmap("", IDB_CUESEEKLEFT_UP);
	m_btnDeckACueSeekLeft.SetOverBitmap("", IDB_CUESEEKLEFT_UP);
	m_btnDeckACueSeekLeft.SetDownBitmap("", IDB_CUESEEKLEFT_DOWN);
	m_btnDeckACueSeekLeft.SetToggleBitmap("", IDB_CUESEEKLEFT_DOWN);
	m_btnDeckACueSeekLeft.SetClickAction("deckacueseekleft");
	m_btnDeckACueSeekLeft.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectCueSeekLeft2(680,102,715,125);

	m_btnDeckBCueSeekLeft.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectCueSeekLeft2, this);
	m_btnDeckBCueSeekLeft.SetDefaultBitmap("", IDB_CUESEEKLEFT_UP);
	m_btnDeckBCueSeekLeft.SetOverBitmap("", IDB_CUESEEKLEFT_UP);
	m_btnDeckBCueSeekLeft.SetDownBitmap("", IDB_CUESEEKLEFT_DOWN);
	m_btnDeckBCueSeekLeft.SetToggleBitmap("", IDB_CUESEEKLEFT_DOWN);
	m_btnDeckBCueSeekLeft.SetClickAction("deckbcueseekleft");
	m_btnDeckBCueSeekLeft.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectCueSeekRight(262,102,297,125);

	m_btnDeckACueSeekRight.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectCueSeekRight, this);
	m_btnDeckACueSeekRight.SetDefaultBitmap("", IDB_CUESEEKRIGHT_UP);
	m_btnDeckACueSeekRight.SetOverBitmap("", IDB_CUESEEKRIGHT_UP);
	m_btnDeckACueSeekRight.SetDownBitmap("", IDB_CUESEEKRIGHT_DOWN);
	m_btnDeckACueSeekRight.SetToggleBitmap("", IDB_CUESEEKRIGHT_DOWN);
	m_btnDeckACueSeekRight.SetClickAction("deckacueseekright");
	m_btnDeckACueSeekRight.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectCueSeekRight2(771,102,806,125);

	m_btnDeckBCueSeekRight.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectCueSeekRight2, this);
	m_btnDeckBCueSeekRight.SetDefaultBitmap("", IDB_CUESEEKRIGHT_UP);
	m_btnDeckBCueSeekRight.SetOverBitmap("", IDB_CUESEEKRIGHT_UP);
	m_btnDeckBCueSeekRight.SetDownBitmap("", IDB_CUESEEKRIGHT_DOWN);
	m_btnDeckBCueSeekRight.SetToggleBitmap("", IDB_CUESEEKRIGHT_DOWN);
	m_btnDeckBCueSeekRight.SetClickAction("deckbcueseekright");
	m_btnDeckBCueSeekRight.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectGroup(216,102,251,125);

	m_btnDeckAGroup.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectGroup, this);
	m_btnDeckAGroup.SetDefaultBitmap("", IDB_GROUP_UP);
	m_btnDeckAGroup.SetOverBitmap("", IDB_GROUP_UP);
	m_btnDeckAGroup.SetDownBitmap("", IDB_GROUP_DOWN);
	m_btnDeckAGroup.SetToggleBitmap("", IDB_GROUP_DOWN);
	m_btnDeckAGroup.SetClickAction("deckagroup");
	m_btnDeckAGroup.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectGroup2(725,102,760,125);

	m_btnDeckBGroup.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectGroup2, this);
	m_btnDeckBGroup.SetDefaultBitmap("", IDB_GROUP_UP);
	m_btnDeckBGroup.SetOverBitmap("", IDB_GROUP_UP);
	m_btnDeckBGroup.SetDownBitmap("", IDB_GROUP_DOWN);
	m_btnDeckBGroup.SetToggleBitmap("", IDB_GROUP_DOWN);
	m_btnDeckBGroup.SetClickAction("deckbgroup");
	m_btnDeckBGroup.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectCue(166,143,226,183);

	m_btnDeckACue.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectCue, this);
	m_btnDeckACue.SetDefaultBitmap("", IDB_CUE_UP);
	m_btnDeckACue.SetOverBitmap("", IDB_CUE_UP);
	m_btnDeckACue.SetDownBitmap("", IDB_CUE_DOWN);
	m_btnDeckACue.SetToggleBitmap("", IDB_CUE_DOWN);
	m_btnDeckACue.SetClickAction("deckacue");
	m_btnDeckACue.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectCue2(677,143,737,183);

	m_btnDeckBCue.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectCue2, this);
	m_btnDeckBCue.SetDefaultBitmap("", IDB_CUE_UP);
	m_btnDeckBCue.SetOverBitmap("", IDB_CUE_UP);
	m_btnDeckBCue.SetDownBitmap("", IDB_CUE_DOWN);
	m_btnDeckBCue.SetToggleBitmap("", IDB_CUE_DOWN);
	m_btnDeckBCue.SetClickAction("deckbcue");
	m_btnDeckBCue.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectPlay(240,143,300,183);

	m_btnDeckAPlay.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectPlay, this);
	m_btnDeckAPlay.SetDefaultBitmap("", IDB_PLAY_UP);
	m_btnDeckAPlay.SetOverBitmap("", IDB_PLAY_UP);
	m_btnDeckAPlay.SetDownBitmap("", IDB_PLAY_DOWN);
	m_btnDeckAPlay.SetToggleBitmap("", IDB_PLAY_DOWN);
	m_btnDeckAPlay.SetClickAction("deckaplay");
	m_btnDeckAPlay.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectPlay2(751,143,811,183);

	m_btnDeckBPlay.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectPlay2, this);
	m_btnDeckBPlay.SetDefaultBitmap("", IDB_PLAY_UP);
	m_btnDeckBPlay.SetOverBitmap("", IDB_PLAY_UP);
	m_btnDeckBPlay.SetDownBitmap("", IDB_PLAY_DOWN);
	m_btnDeckBPlay.SetToggleBitmap("", IDB_PLAY_DOWN);
	m_btnDeckBPlay.SetClickAction("deckbplay");
	m_btnDeckBPlay.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectLoop(317,89,347,119);

	m_btnDeckALoop.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectLoop, this);
	m_btnDeckALoop.SetDefaultBitmap("", IDB_LOOP_UP);
	m_btnDeckALoop.SetOverBitmap("", IDB_LOOP_UP);
	m_btnDeckALoop.SetDownBitmap("", IDB_LOOP_DOWN);
	m_btnDeckALoop.SetToggleBitmap("", IDB_LOOP_DOWN);
	m_btnDeckALoop.SetClickAction("deckaloop");
	m_btnDeckALoop.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectLoop2(827,89,857,119);

	m_btnDeckBLoop.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectLoop2, this);
	m_btnDeckBLoop.SetDefaultBitmap("", IDB_LOOP_UP);
	m_btnDeckBLoop.SetOverBitmap("", IDB_LOOP_UP);
	m_btnDeckBLoop.SetDownBitmap("", IDB_LOOP_DOWN);
	m_btnDeckBLoop.SetToggleBitmap("", IDB_LOOP_DOWN);
	m_btnDeckBLoop.SetClickAction("deckbloop");
	m_btnDeckBLoop.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectMatch(372,89,402,119);

	m_btnDeckAMatch.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectMatch, this);
	m_btnDeckAMatch.SetDefaultBitmap("", IDB_MATCH_UP);
	m_btnDeckAMatch.SetOverBitmap("", IDB_MATCH_UP);
	m_btnDeckAMatch.SetDownBitmap("", IDB_MATCH_DOWN);
	m_btnDeckAMatch.SetToggleBitmap("", IDB_MATCH_DOWN);
	m_btnDeckAMatch.SetClickAction("deckamatch");
	m_btnDeckAMatch.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectMatch2(882,89,912,119);

	m_btnDeckBMatch.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectMatch2, this);
	m_btnDeckBMatch.SetDefaultBitmap("", IDB_MATCH_UP);
	m_btnDeckBMatch.SetOverBitmap("", IDB_MATCH_UP);
	m_btnDeckBMatch.SetDownBitmap("", IDB_MATCH_DOWN);
	m_btnDeckBMatch.SetToggleBitmap("", IDB_MATCH_DOWN);
	m_btnDeckBMatch.SetClickAction("deckbmatch");
	m_btnDeckBMatch.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);


	
	CRect rectPitchBendMinus(317,149,347,179);

	m_btnDeckAPitchBendMinus.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectPitchBendMinus, this);
	m_btnDeckAPitchBendMinus.SetDefaultBitmap("", IDB_PITCHBENDMINUS_UP);
	m_btnDeckAPitchBendMinus.SetOverBitmap("", IDB_PITCHBENDMINUS_UP);
	m_btnDeckAPitchBendMinus.SetDownBitmap("", IDB_PITCHBENDMINUS_DOWN);
	m_btnDeckAPitchBendMinus.SetToggleBitmap("", IDB_PITCHBENDMINUS_DOWN);
	m_btnDeckAPitchBendMinus.SetClickAction("deckapitchbendminus");
	m_btnDeckAPitchBendMinus.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectPitchBendMinus2(827,149,857,179);

	m_btnDeckBPitchBendMinus.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectPitchBendMinus2, this);
	m_btnDeckBPitchBendMinus.SetDefaultBitmap("", IDB_PITCHBENDMINUS_UP);
	m_btnDeckBPitchBendMinus.SetOverBitmap("", IDB_PITCHBENDMINUS_UP);
	m_btnDeckBPitchBendMinus.SetDownBitmap("", IDB_PITCHBENDMINUS_DOWN);
	m_btnDeckBPitchBendMinus.SetToggleBitmap("", IDB_PITCHBENDMINUS_DOWN);
	m_btnDeckBPitchBendMinus.SetClickAction("deckbpitchbendminus");
	m_btnDeckBPitchBendMinus.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);


	CRect rectPitchBendPlus(372,149,402,179);

	m_btnDeckAPitchBendPlus.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectPitchBendPlus, this);
	m_btnDeckAPitchBendPlus.SetDefaultBitmap("", IDB_PITCHBENDPLUS_UP);
	m_btnDeckAPitchBendPlus.SetOverBitmap("", IDB_PITCHBENDPLUS_UP);
	m_btnDeckAPitchBendPlus.SetDownBitmap("", IDB_PITCHBENDPLUS_DOWN);
	m_btnDeckAPitchBendPlus.SetToggleBitmap("", IDB_PITCHBENDPLUS_DOWN);
	m_btnDeckAPitchBendPlus.SetClickAction("deckapitchbendplus");
	m_btnDeckAPitchBendPlus.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectPitchBendPlus2(882,149,912,179);

	m_btnDeckBPitchBendPlus.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectPitchBendPlus2, this);
	m_btnDeckBPitchBendPlus.SetDefaultBitmap("", IDB_PITCHBENDPLUS_UP);
	m_btnDeckBPitchBendPlus.SetOverBitmap("", IDB_PITCHBENDPLUS_UP);
	m_btnDeckBPitchBendPlus.SetDownBitmap("", IDB_PITCHBENDPLUS_DOWN);
	m_btnDeckBPitchBendPlus.SetToggleBitmap("", IDB_PITCHBENDPLUS_DOWN);
	m_btnDeckBPitchBendPlus.SetClickAction("deckbpitchbendplus");
	m_btnDeckBPitchBendPlus.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectCueLight(192,131,201,140);

	m_btnDeckACueLight.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectCueLight, this);
	m_btnDeckACueLight.SetDefaultBitmap("", IDB_CUELIGHT_OFF);
	m_btnDeckACueLight.SetOverBitmap("", IDB_CUELIGHT_OFF);
	m_btnDeckACueLight.SetDownBitmap("", IDB_CUELIGHT_OFF);
	m_btnDeckACueLight.SetToggleBitmap("", IDB_CUELIGHT_ON);
	m_btnDeckACueLight.SetClickAction("deckacuelight");
	m_btnDeckACueLight.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectCueLight2(702,131,711,140);

	m_btnDeckBCueLight.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectCueLight2, this);
	m_btnDeckBCueLight.SetDefaultBitmap("", IDB_CUELIGHT_OFF);
	m_btnDeckBCueLight.SetOverBitmap("", IDB_CUELIGHT_OFF);
	m_btnDeckBCueLight.SetDownBitmap("", IDB_CUELIGHT_OFF);
	m_btnDeckBCueLight.SetToggleBitmap("", IDB_CUELIGHT_ON);
	m_btnDeckBCueLight.SetClickAction("deckbcuelight");
	m_btnDeckBCueLight.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectPlayLight(266,131,275,140);

	m_btnDeckAPlayLight.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectPlayLight, this);
	m_btnDeckAPlayLight.SetDefaultBitmap("", IDB_PLAYLIGHT_OFF);
	m_btnDeckAPlayLight.SetOverBitmap("", IDB_PLAYLIGHT_OFF);
	m_btnDeckAPlayLight.SetDownBitmap("", IDB_PLAYLIGHT_OFF);
	m_btnDeckAPlayLight.SetToggleBitmap("", IDB_PLAYLIGHT_ON);
	m_btnDeckAPlayLight.SetClickAction("deckaplaylight");
	m_btnDeckAPlayLight.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectPlayLight2(776,131,785,140);

	m_btnDeckBPlayLight.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectPlayLight2, this);
	m_btnDeckBPlayLight.SetDefaultBitmap("", IDB_PLAYLIGHT_OFF);
	m_btnDeckBPlayLight.SetOverBitmap("", IDB_PLAYLIGHT_OFF);
	m_btnDeckBPlayLight.SetDownBitmap("", IDB_PLAYLIGHT_OFF);
	m_btnDeckBPlayLight.SetToggleBitmap("", IDB_PLAYLIGHT_ON);
	m_btnDeckBPlayLight.SetClickAction("deckbplaylight");
	m_btnDeckBPlayLight.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectFXLight(293,71,302,81);

	m_btnDeckAFXLight.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectFXLight, this);
	m_btnDeckAFXLight.SetDefaultBitmap("", IDB_FXLIGHT_OFF);
	m_btnDeckAFXLight.SetOverBitmap("", IDB_FXLIGHT_OFF);
	m_btnDeckAFXLight.SetDownBitmap("", IDB_FXLIGHT_OFF);
	m_btnDeckAFXLight.SetToggleBitmap("", IDB_FXLIGHT_ON);
	m_btnDeckAFXLight.SetClickAction("deckafxlight");
	m_btnDeckAFXLight.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectFXLight2(803,71,812,81);

	m_btnDeckBFXLight.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectFXLight2, this);
	m_btnDeckBFXLight.SetDefaultBitmap("", IDB_FXLIGHT_OFF);
	m_btnDeckBFXLight.SetOverBitmap("", IDB_FXLIGHT_OFF);
	m_btnDeckBFXLight.SetDownBitmap("", IDB_FXLIGHT_OFF);
	m_btnDeckBFXLight.SetToggleBitmap("", IDB_FXLIGHT_ON);
	m_btnDeckBFXLight.SetClickAction("deckbfxlight");
	m_btnDeckBFXLight.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectLoopLight(327,71,336,81);

	m_btnDeckALoopLight.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectLoopLight, this);
	m_btnDeckALoopLight.SetDefaultBitmap("", IDB_LOOPLIGHT_OFF);
	m_btnDeckALoopLight.SetOverBitmap("", IDB_LOOPLIGHT_OFF);
	m_btnDeckALoopLight.SetDownBitmap("", IDB_LOOPLIGHT_OFF);
	m_btnDeckALoopLight.SetToggleBitmap("", IDB_LOOPLIGHT_ON);
	m_btnDeckALoopLight.SetClickAction("deckalooplight");
	m_btnDeckALoopLight.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectLoopLight2(837,71,846,81);

	m_btnDeckBLoopLight.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectLoopLight2, this);
	m_btnDeckBLoopLight.SetDefaultBitmap("", IDB_LOOPLIGHT_OFF);
	m_btnDeckBLoopLight.SetOverBitmap("", IDB_LOOPLIGHT_OFF);
	m_btnDeckBLoopLight.SetDownBitmap("", IDB_LOOPLIGHT_OFF);
	m_btnDeckBLoopLight.SetToggleBitmap("", IDB_LOOPLIGHT_ON);
	m_btnDeckBLoopLight.SetClickAction("deckblooplight");
	m_btnDeckBLoopLight.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectMatchLight(382,71,392,81);

	m_btnDeckAMatchLight.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectMatchLight, this);
	m_btnDeckAMatchLight.SetDefaultBitmap("", IDB_MATCHLIGHT_OFF);
	m_btnDeckAMatchLight.SetOverBitmap("", IDB_MATCHLIGHT_OFF);
	m_btnDeckAMatchLight.SetDownBitmap("", IDB_MATCHLIGHT_OFF);
	m_btnDeckAMatchLight.SetToggleBitmap("", IDB_MATCHLIGHT_ON);
	m_btnDeckAMatchLight.SetClickAction("deckamatchlight");
	m_btnDeckAMatchLight.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);

	CRect rectMatchLight2(893,71,902,81);

	m_btnDeckBMatchLight.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectMatchLight2, this);
	m_btnDeckBMatchLight.SetDefaultBitmap("", IDB_MATCHLIGHT_OFF);
	m_btnDeckBMatchLight.SetOverBitmap("", IDB_MATCHLIGHT_OFF);
	m_btnDeckBMatchLight.SetDownBitmap("", IDB_MATCHLIGHT_OFF);
	m_btnDeckBMatchLight.SetToggleBitmap("", IDB_MATCHLIGHT_ON);
	m_btnDeckBMatchLight.SetClickAction("deckbmatchlight");
	m_btnDeckBMatchLight.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);


	//lcd screen deck a
	{
		CRect rectDeckACueDigitOne(167,23,182,50);
		DeckACueDigitOne.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckACueDigitOne, this);
		DeckACueDigitOne.SetDefaultBitmap("", IDB_LARGE_BLANK);
		DeckACueDigitOne.SetOverBitmap("", IDB_LARGE_BLANK);
		DeckACueDigitOne.SetDownBitmap("", IDB_LARGE_BLANK);
		DeckACueDigitOne.SetToggleBitmap("", IDB_LARGE_BLANK);
		DeckACueDigitOne.SetClickAction("deckacuedigitone");
		DeckACueDigitOne.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckACueDigitTwo(185,23,200,50);
		DeckACueDigitTwo.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckACueDigitTwo, this);
		DeckACueDigitTwo.SetDefaultBitmap("", IDB_LARGE_BLANK);
		DeckACueDigitTwo.SetOverBitmap("", IDB_LARGE_BLANK);
		DeckACueDigitTwo.SetDownBitmap("", IDB_LARGE_BLANK);
		DeckACueDigitTwo.SetToggleBitmap("", IDB_LARGE_BLANK);
		DeckACueDigitTwo.SetClickAction("deckacuedigittwo");
		DeckACueDigitTwo.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckATimeDigitOne(207,30,218,50);
		DeckATimeDigitOne.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckATimeDigitOne, this);
		DeckATimeDigitOne.SetDefaultBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitOne.SetOverBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitOne.SetDownBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitOne.SetToggleBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitOne.SetClickAction("deckatimedigitone");
		DeckATimeDigitOne.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckATimeDigitTwo(220,30,231,50);
		DeckATimeDigitTwo.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckATimeDigitTwo, this);
		DeckATimeDigitTwo.SetDefaultBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitTwo.SetOverBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitTwo.SetDownBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitTwo.SetToggleBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitTwo.SetClickAction("deckatimedigittwo");
		DeckATimeDigitTwo.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckATimeDigitThree(241,30,252,50);
		DeckATimeDigitThree.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckATimeDigitThree, this);
		DeckATimeDigitThree.SetDefaultBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitThree.SetOverBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitThree.SetDownBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitThree.SetToggleBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitThree.SetClickAction("deckatimedigitthree");
		DeckATimeDigitThree.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckATimeDigitFour(255,30,266,50);
		DeckATimeDigitFour.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckATimeDigitFour, this);
		DeckATimeDigitFour.SetDefaultBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitFour.SetOverBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitFour.SetDownBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitFour.SetToggleBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitFour.SetClickAction("deckatimedigitfour");
		DeckATimeDigitFour.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckATimeDigitFive(275,30,286,50);
		DeckATimeDigitFive.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckATimeDigitFive, this);
		DeckATimeDigitFive.SetDefaultBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitFive.SetOverBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitFive.SetDownBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitFive.SetToggleBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitFive.SetClickAction("deckatimedigitfive");
		DeckATimeDigitFive.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckATimeDigitSix(289,30,300,50);
		DeckATimeDigitSix.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckATimeDigitSix, this);
		DeckATimeDigitSix.SetDefaultBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitSix.SetOverBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitSix.SetDownBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitSix.SetToggleBitmap("", IDB_SMALL_DASH);
		DeckATimeDigitSix.SetClickAction("deckatimedigitsix");
		DeckATimeDigitSix.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckATimeColonOne(231,30,240,50);
		DeckATimeColonOne.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckATimeColonOne, this);
		DeckATimeColonOne.SetDefaultBitmap("", IDB_SMALL_COLON_OFF);
		DeckATimeColonOne.SetOverBitmap("", IDB_SMALL_COLON_OFF);
		DeckATimeColonOne.SetDownBitmap("", IDB_SMALL_COLON_OFF);
		DeckATimeColonOne.SetToggleBitmap("", IDB_SMALL_COLON_OFF);
		DeckATimeColonOne.SetClickAction("deckatimecolonone");
		DeckATimeColonOne.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckATimeColonTwo(266,30,275,50);
		DeckATimeColonTwo.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckATimeColonTwo, this);
		DeckATimeColonTwo.SetDefaultBitmap("", IDB_SMALL_COLON_OFF);
		DeckATimeColonTwo.SetOverBitmap("", IDB_SMALL_COLON_OFF);
		DeckATimeColonTwo.SetDownBitmap("", IDB_SMALL_COLON_OFF);
		DeckATimeColonTwo.SetToggleBitmap("", IDB_SMALL_COLON_OFF);
		DeckATimeColonTwo.SetClickAction("deckatimecolontwo");
		DeckATimeColonTwo.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckAProgress(208,22,215,26);
		for(int i=0; i<10; i++)
		{
			if(i>0)
			{
				rectDeckAProgress.left+=9;
				rectDeckAProgress.right+=9;
			}
			
			if( i>= 7 && i <= 9)
			{
				rectDeckAProgress.left+=1;
				rectDeckAProgress.right+=1;
			}
			
			DeckAProgress[i].Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckAProgress, this);
			DeckAProgress[i].SetDefaultBitmap("", IDB_PROGRESS_OFF);
			DeckAProgress[i].SetOverBitmap("", IDB_PROGRESS_OFF);
			DeckAProgress[i].SetDownBitmap("", IDB_PROGRESS_OFF);
			DeckAProgress[i].SetToggleBitmap("", IDB_PROGRESS_OFF);
			DeckAProgress[i].SetClickAction("deckaprogress1");
			DeckAProgress[i].SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		}
		
		CRect rectDeckAElapsed(306,21,345,28);
		DeckAElapsed.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckAElapsed, this);
		DeckAElapsed.SetDefaultBitmap("", IDB_ELAPSED_OFF);
		DeckAElapsed.SetOverBitmap("", IDB_ELAPSED_OFF);
		DeckAElapsed.SetDownBitmap("", IDB_ELAPSED_OFF);
		DeckAElapsed.SetToggleBitmap("", IDB_ELAPSED_OFF);
		DeckAElapsed.SetClickAction("deckaelapsed");
		DeckAElapsed.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckARemain(306,29,345,35);
		DeckARemain.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckARemain, this);
		DeckARemain.SetDefaultBitmap("", IDB_REMAIN_OFF);
		DeckARemain.SetOverBitmap("", IDB_REMAIN_OFF);
		DeckARemain.SetDownBitmap("", IDB_REMAIN_OFF);
		DeckARemain.SetToggleBitmap("", IDB_REMAIN_OFF);
		DeckARemain.SetClickAction("deckaremain");
		DeckARemain.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckASingle(306,37,339,44);
		DeckASingle.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckASingle, this);
		DeckASingle.SetDefaultBitmap("", IDB_SINGLE_OFF);
		DeckASingle.SetOverBitmap("", IDB_SINGLE_OFF);
		DeckASingle.SetDownBitmap("", IDB_SINGLE_OFF);
		DeckASingle.SetToggleBitmap("", IDB_SINGLE_OFF);
		DeckASingle.SetClickAction("deckasingle");
		DeckASingle.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckAContinu(305,46,344,52);
		DeckAContinu.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckAContinu, this);
		DeckAContinu.SetDefaultBitmap("", IDB_CONTINU_OFF);
		DeckAContinu.SetOverBitmap("", IDB_CONTINU_OFF);
		DeckAContinu.SetDownBitmap("", IDB_CONTINU_OFF);
		DeckAContinu.SetToggleBitmap("", IDB_CONTINU_OFF);
		DeckAContinu.SetClickAction("deckacontinu");
		DeckAContinu.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckAPitchNegative(341,35,348,39);
		DeckAPitchNegative.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckAPitchNegative, this);
		DeckAPitchNegative.SetDefaultBitmap("", IDB_PITCH_NEGATIVE_OFF);
		DeckAPitchNegative.SetOverBitmap("", IDB_PITCH_NEGATIVE_OFF);
		DeckAPitchNegative.SetDownBitmap("", IDB_PITCH_NEGATIVE_OFF);
		DeckAPitchNegative.SetToggleBitmap("", IDB_PITCH_NEGATIVE_OFF);
		DeckAPitchNegative.SetClickAction("deckapitchnegative");
		DeckAPitchNegative.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckAPitchDigitOne(348,23,363,50);
		DeckAPitchDigitOne.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckAPitchDigitOne, this);
		DeckAPitchDigitOne.SetDefaultBitmap("", IDB_PITCH_ONE_OFF);
		DeckAPitchDigitOne.SetOverBitmap("", IDB_PITCH_ONE_OFF);
		DeckAPitchDigitOne.SetDownBitmap("", IDB_PITCH_ONE_OFF);
		DeckAPitchDigitOne.SetToggleBitmap("", IDB_PITCH_ONE_OFF);
		DeckAPitchDigitOne.SetClickAction("deckapitchdigitone");
		DeckAPitchDigitOne.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckAPitchDigitTwo(364,23,379,50);
		DeckAPitchDigitTwo.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckAPitchDigitTwo, this);
		DeckAPitchDigitTwo.SetDefaultBitmap("", IDB_LARGE_DASH);
		DeckAPitchDigitTwo.SetOverBitmap("", IDB_LARGE_DASH);
		DeckAPitchDigitTwo.SetDownBitmap("", IDB_LARGE_DASH);
		DeckAPitchDigitTwo.SetToggleBitmap("", IDB_LARGE_DASH);
		DeckAPitchDigitTwo.SetClickAction("deckapitchdigittwo");
		DeckAPitchDigitTwo.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckAPitchDigitThree(387,23,402,50);
		DeckAPitchDigitThree.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckAPitchDigitThree, this);
		DeckAPitchDigitThree.SetDefaultBitmap("", IDB_LARGE_DASH);
		DeckAPitchDigitThree.SetOverBitmap("", IDB_LARGE_DASH);
		DeckAPitchDigitThree.SetDownBitmap("", IDB_LARGE_DASH);
		DeckAPitchDigitThree.SetToggleBitmap("", IDB_LARGE_DASH);
		DeckAPitchDigitThree.SetClickAction("deckapitchdigitthree");
		DeckAPitchDigitThree.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckAPitchDecimal(379,23,387,50);
		DeckAPitchDecimal.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckAPitchDecimal, this);
		DeckAPitchDecimal.SetDefaultBitmap("", IDB_PITCH_DECIMAL_OFF);
		DeckAPitchDecimal.SetOverBitmap("", IDB_PITCH_DECIMAL_OFF);
		DeckAPitchDecimal.SetDownBitmap("", IDB_PITCH_DECIMAL_OFF);
		DeckAPitchDecimal.SetToggleBitmap("", IDB_PITCH_DECIMAL_OFF);
		DeckAPitchDecimal.SetClickAction("deckapitchdecimal");
		DeckAPitchDecimal.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
	}

	//deckb
	{
		CRect rectDeckBCueDigitOne(677,23,692,50);
		DeckBCueDigitOne.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckBCueDigitOne, this);
		DeckBCueDigitOne.SetDefaultBitmap("", IDB_LARGE_BLANK);
		DeckBCueDigitOne.SetOverBitmap("", IDB_LARGE_BLANK);
		DeckBCueDigitOne.SetDownBitmap("", IDB_LARGE_BLANK);
		DeckBCueDigitOne.SetToggleBitmap("", IDB_LARGE_BLANK);
		DeckBCueDigitOne.SetClickAction("deckbcuedigitone");
		DeckBCueDigitOne.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckBCueDigitTwo(695,23,710,50);
		DeckBCueDigitTwo.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckBCueDigitTwo, this);
		DeckBCueDigitTwo.SetDefaultBitmap("", IDB_LARGE_BLANK);
		DeckBCueDigitTwo.SetOverBitmap("", IDB_LARGE_BLANK);
		DeckBCueDigitTwo.SetDownBitmap("", IDB_LARGE_BLANK);
		DeckBCueDigitTwo.SetToggleBitmap("", IDB_LARGE_BLANK);
		DeckBCueDigitTwo.SetClickAction("deckbcuedigittwo");
		DeckBCueDigitTwo.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckBTimeDigitOne(717,30,728,50);
		DeckBTimeDigitOne.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckBTimeDigitOne, this);
		DeckBTimeDigitOne.SetDefaultBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitOne.SetOverBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitOne.SetDownBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitOne.SetToggleBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitOne.SetClickAction("deckbtimedigitone");
		DeckBTimeDigitOne.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckBTimeDigitTwo(730,30,741,50);
		DeckBTimeDigitTwo.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckBTimeDigitTwo, this);
		DeckBTimeDigitTwo.SetDefaultBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitTwo.SetOverBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitTwo.SetDownBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitTwo.SetToggleBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitTwo.SetClickAction("deckbtimedigittwo");
		DeckBTimeDigitTwo.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckBTimeDigitThree(751,30,762,50);
		DeckBTimeDigitThree.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckBTimeDigitThree, this);
		DeckBTimeDigitThree.SetDefaultBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitThree.SetOverBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitThree.SetDownBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitThree.SetToggleBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitThree.SetClickAction("deckbtimedigitthree");
		DeckBTimeDigitThree.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckBTimeDigitFour(765,30,776,50);
		DeckBTimeDigitFour.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckBTimeDigitFour, this);
		DeckBTimeDigitFour.SetDefaultBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitFour.SetOverBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitFour.SetDownBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitFour.SetToggleBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitFour.SetClickAction("deckbtimedigitfour");
		DeckBTimeDigitFour.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckBTimeDigitFive(785,30,796,50);
		DeckBTimeDigitFive.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckBTimeDigitFive, this);
		DeckBTimeDigitFive.SetDefaultBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitFive.SetOverBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitFive.SetDownBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitFive.SetToggleBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitFive.SetClickAction("deckbtimedigitfive");
		DeckBTimeDigitFive.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckBTimeDigitSix(799,30,810,50);
		DeckBTimeDigitSix.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckBTimeDigitSix, this);
		DeckBTimeDigitSix.SetDefaultBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitSix.SetOverBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitSix.SetDownBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitSix.SetToggleBitmap("", IDB_SMALL_DASH);
		DeckBTimeDigitSix.SetClickAction("deckbtimedigitsix");
		DeckBTimeDigitSix.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckBTimeColonOne(741,30,750,50);
		DeckBTimeColonOne.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckBTimeColonOne, this);
		DeckBTimeColonOne.SetDefaultBitmap("", IDB_SMALL_COLON_OFF);
		DeckBTimeColonOne.SetOverBitmap("", IDB_SMALL_COLON_OFF);
		DeckBTimeColonOne.SetDownBitmap("", IDB_SMALL_COLON_OFF);
		DeckBTimeColonOne.SetToggleBitmap("", IDB_SMALL_COLON_OFF);
		DeckBTimeColonOne.SetClickAction("deckbtimecolonone");
		DeckBTimeColonOne.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckBTimeColonTwo(776,30,785,50);
		DeckBTimeColonTwo.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckBTimeColonTwo, this);
		DeckBTimeColonTwo.SetDefaultBitmap("", IDB_SMALL_COLON_OFF);
		DeckBTimeColonTwo.SetOverBitmap("", IDB_SMALL_COLON_OFF);
		DeckBTimeColonTwo.SetDownBitmap("", IDB_SMALL_COLON_OFF);
		DeckBTimeColonTwo.SetToggleBitmap("", IDB_SMALL_COLON_OFF);
		DeckBTimeColonTwo.SetClickAction("deckbtimecolontwo");
		DeckBTimeColonTwo.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckBProgress(718,22,725,26);
		for(int i=0; i<10; i++)
		{
			if(i>0)
			{
				rectDeckBProgress.left+=9;
				rectDeckBProgress.right+=9;
			}
			
			if( i>= 7 && i <= 9)
			{
				rectDeckBProgress.left+=1;
				rectDeckBProgress.right+=1;
			}
			
			DeckBProgress[i].Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckBProgress, this);
			DeckBProgress[i].SetDefaultBitmap("", IDB_PROGRESS_OFF);
			DeckBProgress[i].SetOverBitmap("", IDB_PROGRESS_OFF);
			DeckBProgress[i].SetDownBitmap("", IDB_PROGRESS_OFF);
			DeckBProgress[i].SetToggleBitmap("", IDB_PROGRESS_OFF);
			DeckBProgress[i].SetClickAction("deckbprogress1");
			DeckBProgress[i].SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		}
		
		CRect rectDeckBElapsed(816,21,855,28);
		DeckBElapsed.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckBElapsed, this);
		DeckBElapsed.SetDefaultBitmap("", IDB_ELAPSED_OFF);
		DeckBElapsed.SetOverBitmap("", IDB_ELAPSED_OFF);
		DeckBElapsed.SetDownBitmap("", IDB_ELAPSED_OFF);
		DeckBElapsed.SetToggleBitmap("", IDB_ELAPSED_OFF);
		DeckBElapsed.SetClickAction("deckbelapsed");
		DeckBElapsed.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckBRemain(816,29,855,35);
		DeckBRemain.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckBRemain, this);
		DeckBRemain.SetDefaultBitmap("", IDB_REMAIN_OFF);
		DeckBRemain.SetOverBitmap("", IDB_REMAIN_OFF);
		DeckBRemain.SetDownBitmap("", IDB_REMAIN_OFF);
		DeckBRemain.SetToggleBitmap("", IDB_REMAIN_OFF);
		DeckBRemain.SetClickAction("deckbremain");
		DeckBRemain.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckBSingle(816,37,849,44);
		DeckBSingle.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckBSingle, this);
		DeckBSingle.SetDefaultBitmap("", IDB_SINGLE_OFF);
		DeckBSingle.SetOverBitmap("", IDB_SINGLE_OFF);
		DeckBSingle.SetDownBitmap("", IDB_SINGLE_OFF);
		DeckBSingle.SetToggleBitmap("", IDB_SINGLE_OFF);
		DeckBSingle.SetClickAction("deckbsingle");
		DeckBSingle.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckBContinu(815,46,854,52);
		DeckBContinu.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckBContinu, this);
		DeckBContinu.SetDefaultBitmap("", IDB_CONTINU_OFF);
		DeckBContinu.SetOverBitmap("", IDB_CONTINU_OFF);
		DeckBContinu.SetDownBitmap("", IDB_CONTINU_OFF);
		DeckBContinu.SetToggleBitmap("", IDB_CONTINU_OFF);
		DeckBContinu.SetClickAction("deckbcontinu");
		DeckBContinu.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckBPitchNegative(851,35,858,39);
		DeckBPitchNegative.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckBPitchNegative, this);
		DeckBPitchNegative.SetDefaultBitmap("", IDB_PITCH_NEGATIVE_OFF);
		DeckBPitchNegative.SetOverBitmap("", IDB_PITCH_NEGATIVE_OFF);
		DeckBPitchNegative.SetDownBitmap("", IDB_PITCH_NEGATIVE_OFF);
		DeckBPitchNegative.SetToggleBitmap("", IDB_PITCH_NEGATIVE_OFF);
		DeckBPitchNegative.SetClickAction("deckbpitchnegative");
		DeckBPitchNegative.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckBPitchDigitOne(858,23,873,50);
		DeckBPitchDigitOne.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckBPitchDigitOne, this);
		DeckBPitchDigitOne.SetDefaultBitmap("", IDB_PITCH_ONE_OFF);
		DeckBPitchDigitOne.SetOverBitmap("", IDB_PITCH_ONE_OFF);
		DeckBPitchDigitOne.SetDownBitmap("", IDB_PITCH_ONE_OFF);
		DeckBPitchDigitOne.SetToggleBitmap("", IDB_PITCH_ONE_OFF);
		DeckBPitchDigitOne.SetClickAction("deckbpitchdigitone");
		DeckBPitchDigitOne.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckBPitchDigitTwo(874,23,889,50);
		DeckBPitchDigitTwo.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckBPitchDigitTwo, this);
		DeckBPitchDigitTwo.SetDefaultBitmap("", IDB_LARGE_DASH);
		DeckBPitchDigitTwo.SetOverBitmap("", IDB_LARGE_DASH);
		DeckBPitchDigitTwo.SetDownBitmap("", IDB_LARGE_DASH);
		DeckBPitchDigitTwo.SetToggleBitmap("", IDB_LARGE_DASH);
		DeckBPitchDigitTwo.SetClickAction("deckbpitchdigittwo");
		DeckBPitchDigitTwo.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckBPitchDigitThree(897,23,912,50);
		DeckBPitchDigitThree.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckBPitchDigitThree, this);
		DeckBPitchDigitThree.SetDefaultBitmap("", IDB_LARGE_DASH);
		DeckBPitchDigitThree.SetOverBitmap("", IDB_LARGE_DASH);
		DeckBPitchDigitThree.SetDownBitmap("", IDB_LARGE_DASH);
		DeckBPitchDigitThree.SetToggleBitmap("", IDB_LARGE_DASH);
		DeckBPitchDigitThree.SetClickAction("deckbpitchdigitthree");
		DeckBPitchDigitThree.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
		
		CRect rectDeckBPitchDecimal(889,23,897,50);
		DeckBPitchDecimal.Create(NULL, WS_CHILD|WS_VISIBLE|SS_NOTIFY|SS_BITMAP, rectDeckBPitchDecimal, this);
		DeckBPitchDecimal.SetDefaultBitmap("", IDB_PITCH_DECIMAL_OFF);
		DeckBPitchDecimal.SetOverBitmap("", IDB_PITCH_DECIMAL_OFF);
		DeckBPitchDecimal.SetDownBitmap("", IDB_PITCH_DECIMAL_OFF);
		DeckBPitchDecimal.SetToggleBitmap("", IDB_PITCH_DECIMAL_OFF);
		DeckBPitchDecimal.SetClickAction("deckbpitchdecimal");
		DeckBPitchDecimal.SetWindowPos(&wndTop, 0,0,0,0, SWP_NOSIZE | SWP_NOMOVE);
	}
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CEmulatorDlg::OnLButtonDown(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
	//CRect rect(0,0,1026, 25);
	//if(rect.PtInRect(point))
	//{
		SetCapture();
		m_bDragging = true;
		m_ptDragFrom = point;
	//}
	CBitmapDialog::OnLButtonDown(nFlags, point);
}

void CEmulatorDlg::OnLButtonUp(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
	if(m_bDragging)
	{
		ReleaseCapture();
		m_bDragging = false;
	}
	CBitmapDialog::OnLButtonUp(nFlags, point);
}

void CEmulatorDlg::OnMouseMove(UINT nFlags, CPoint point) 
{
	// TODO: Add your message handler code here and/or call default
	CRect rcWnd;
	GetWindowRect(&rcWnd);

	if((m_bDragging) && (nFlags & MK_LBUTTON))
	{

		int xdiff = point.x - m_ptDragFrom.x;
		int ydiff = point.y - m_ptDragFrom.y;

		SetWindowPos(NULL, rcWnd.left + xdiff, rcWnd.top + ydiff, rcWnd.Width(), rcWnd.Height(), SWP_SHOWWINDOW);
	}
	CBitmapDialog::OnMouseMove(nFlags, point);
}


void CEmulatorDlg::SetListenerCallback(DAC2LISTENER *proca, DAC2LISTENER *procb)
{
	m_emuproca = proca;
	m_emuprocb = procb;
}

void CEmulatorDlg::OnClose() 
{
	// TODO: Add your message handler code here and/or call default

	CBitmapDialog::OnClose();
}

void CEmulatorDlg::OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar) 
{
	// TODO: Add your message handler code here and/or call default
	
	CBitmapDialog::OnHScroll(nSBCode, nPos, pScrollBar);
}
