#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// PictureButton.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CToggleButton window

#define WM_TOGGLEBUTTON_LBUTTONDOWN		WM_USER + 0x8001
#define WM_TOGGLEBUTTON_LBUTTONUP		WM_USER + 0x8002


class CToggleButton : public CStatic
{
	DECLARE_DYNAMIC(CToggleButton)
// Construction
public:
	CToggleButton();

// Attributes
public:

// Operations
public:
	HBITMAP m_hbitmap;
	CFont font;
//	CBalloonHelp balloontip;
	void SetToolTipContent(CString cszValue);
	void SetToolTipTitle(CString cszValue);
	CString m_cszToolTipContent;
	CString m_cszToolTipTitle;
	BOOL m_bToolTips;
	void SetToolTips(BOOL bEnable);

	BOOL LoadBitmapFromFile(CString cszPath, CBitmap &bitmap);
	void SetButton(CString cszFilename, UINT nIDResource);
	int m_nState;
	void Toggle();
	UINT m_nDownBitmap;
	UINT m_nOverBitmap;
	UINT m_nDefaultBitmap;
	UINT m_nToggleBitmap;

	CString m_cszDownBitmap;
	CString m_cszOverBitmap;
	CString m_cszDefaultBitmap;
	CString m_cszToggleBitmap;


	BOOL m_bDown;
	BOOL m_bEnabled;
	void SetDownBitmap(CString cszFilename, UINT nIDResource);
	void SetDefaultBitmap(CString cszFilename, UINT nIDResource);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CToggleButton)
	protected:
	virtual void PreSubclassWindow();
	//}}AFX_VIRTUAL

// Implementation
public:
	BOOL IsToggleOn();
	CString m_cszSmallToolTipContent;
	void SetToolTipSmallContent(CString cszFilename);
	CBitmap bmCurrentBitmap;
	CBitmap bmDefaultBitmap;
	CBitmap bmDownBitmap;
	CBitmap bmOverBitmap;
	CBitmap bmToggleBitmap;
	BOOL m_bCheckBox;
	void SetCheckBox(BOOL bCheckBox);
	CString m_cszCurrentBitmap;
	int m_nCurrentBitmap;
	void EndFlash();
	void StartFlash();
	void ToggleOn(BOOL bToggleOn);
	void SetToggleBitmap(CString cszImage, UINT nResourceID);
	void SetClickAction(CString cszAction);
	CString m_cszAction;
	COLORREF m_crFontColor;
	void SetFontColor(COLORREF crColor);
	void Draw(CDC* pDC);
	COLORREF m_crTextColor;
	void SetOverBitmap(CString cszFilename, UINT nIDResource);
	CString m_cszText;
	void SetText(CString cszText);
	virtual ~CToggleButton();

	// Generated message map functions
protected:
	//{{AFX_MSG(CToggleButton)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnPaint();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDblClk(UINT nFlags, CPoint point);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	afx_msg LRESULT OnMouseLeave(WPARAM wParam, LPARAM lParam);

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.
